#include <stdlib.h>

#include "sudoku.h"

int main(int argc, char *argv[])
{
	sudoku sudo;
	int min_guesses;

	if (argc < 2) {
		printf("Too few arguments given\n");
		return -1;
	}

	min_guesses = atoi(argv[1]);
	if (min_guesses < 1) {
		printf("Not a valid number: %s\n", argv[1]);
		return -2;
	}

	verbose = 0;

	sudo.generate(min_guesses);

	printf("Got sudoku with %d guesses\n", sudo.guesses);
	sudo.print();

	return 0;
}
